package com.zfire.jiasm.syncdata.upload.order;

import lombok.extern.slf4j.Slf4j;

/** 线程数太大使用旧的
 * 工单数据同步到格力总部
 * 1:需要生成上传任务清单列表   ProduceUploadList处理
 * 2:生成需要上传的数据   ProduceDataUploadList处理
 *
 * out_jiasm_to_gree_syn_rule 数据同步记录表提取数据
 * 根据源数据表名提取对应的数据
 * 组装参数进行数据同步
 * 修改同步表的同步状态
 */
@Slf4j
// @Component
public class DataUploadNew {/*
    @Value("${datauploadc}")
    private String datauploadc = "";

    @Autowired
    DataUploadLogic dataUploadLogic;

    public static String accessToken="";


    @Scheduled(fixedDelayString = "${dataupload}")
    private void uploaditftblazassignappointment() throws Exception {
        if (datauploadc.equals(TaskConfigEnum.FALSE.getCode())){
            return;
        }

        // 用户预约改约
        dataUploadLogic.uploaditftblazassignappointment();
    }

    @Scheduled(fixedDelayString = "${dataupload}")
    private void uploaditftblazwgmxjyktfj() throws Exception {
        if (datauploadc.equals(TaskConfigEnum.FALSE.getCode())){
            return;
        }
        // 家用空调数据采集附件
        dataUploadLogic.uploaditftblazwgmxjyktfj();
    }

    @Scheduled(fixedDelayString = "${dataupload}")
    private void uploaditftblazwgmxsyktfj() throws Exception {
        if (datauploadc.equals(TaskConfigEnum.FALSE.getCode())){
            return;
        }
        // 商用空调数据采集附件
        dataUploadLogic.uploaditftblazwgmxsyktfj();
    }

    @Scheduled(fixedDelayString = "${dataupload}")
    private void uploaditftblazwgmxqitafj() throws Exception {
        if (datauploadc.equals(TaskConfigEnum.FALSE.getCode())){
            return;
        }
        // 其他数据采集附件
        dataUploadLogic.uploaditftblazwgmxqitafj();
    }

    @Scheduled(fixedDelayString = "${dataupload}")
    private void uploaditftblazwgmxjykttmmx() throws Exception {
        if (datauploadc.equals(TaskConfigEnum.FALSE.getCode())){
            return;
        }
        // 家用空调条码明细
        dataUploadLogic.uploaditftblazwgmxjykttmmx();
    }

    @Scheduled(fixedDelayString = "${dataupload}")
    private void uploaditftblazwgmxsykttmmxls() throws Exception {
        if (datauploadc.equals(TaskConfigEnum.FALSE.getCode())){
            return;
        }
        // 商用完工明细数据采集条码明细
        dataUploadLogic.uploaditftblazwgmxsykttmmxls();
    }

    @Scheduled(fixedDelayString = "${dataupload}")
    private void uploaditftblazwgmxqitatmmx() throws Exception {
        if (datauploadc.equals(TaskConfigEnum.FALSE.getCode())){
            return;
        }
        // 其他完工明细数据采集条码明细
        dataUploadLogic.uploaditftblazwgmxqitatmmx();
    }

    @Scheduled(fixedDelayString = "${dataupload}")
    private void uploaditftblazassignfkmx() throws Exception {
        if (datauploadc.equals(TaskConfigEnum.FALSE.getCode())){
            return;
        }
        // 安装反馈明细
        dataUploadLogic.uploaditftblazassignfkmx();
    }

    @Scheduled(fixedDelayString = "${dataupload}")
    private void uploaditftblazassignfee() throws Exception {
        if (datauploadc.equals(TaskConfigEnum.FALSE.getCode())){
            return;
        }
        // 空调安装费用清单
        dataUploadLogic.uploaditftblazassignfee();
    }

    @Scheduled(fixedDelayString = "${dataupload}")
    private void uploaditftblazassignlcls() throws Exception {
        if (datauploadc.equals(TaskConfigEnum.FALSE.getCode())){
            return;
        }
        // 安装主表
        dataUploadLogic.uploaditftblazassignlcls();
    }

    @Scheduled(fixedDelayString = "${dataupload}")
    private void uploaditftblazwgmxqita() throws Exception {
        if (datauploadc.equals(TaskConfigEnum.FALSE.getCode())){
            return;
        }
        // 完工明细(其他)
        dataUploadLogic.uploaditftblazwgmxqita();
    }

    @Scheduled(fixedDelayString = "${dataupload}")
    private void uploaditftblazwgmxjykt() throws Exception {
        if (datauploadc.equals(TaskConfigEnum.FALSE.getCode())){
            return;
        }
        // 完工明细(家用空调)
        dataUploadLogic.uploaditftblazwgmxjykt();
    }

    @Scheduled(fixedDelayString = "${dataupload}")
    private void uploaditftblazwgmxsykt() throws Exception {
        if (datauploadc.equals(TaskConfigEnum.FALSE.getCode())){
            return;
        }
        // 完工明细(商用空调)
        dataUploadLogic.uploaditftblazwgmxsykt();
    }

    @Scheduled(fixedDelayString = "${dataupload}")
    private void uploaditftblazassignmx() throws Exception {
        if (datauploadc.equals(TaskConfigEnum.FALSE.getCode())){
            return;
        }
        // 安装工单明细
        dataUploadLogic.uploaditftblazassignmx();
    }

    @Scheduled(fixedDelayString = "${dataupload}")
    private void uploaditftblwxjspjmxjykt() throws Exception {
        if (datauploadc.equals(TaskConfigEnum.FALSE.getCode())){
            return;
        }
        // 配件表
        dataUploadLogic.uploaditftblwxjspjmxjykt();
    }

    @Scheduled(fixedDelayString = "${dataupload}")
    private void uploaditftblwxjswxxmjykt() throws Exception {
        if (datauploadc.equals(TaskConfigEnum.FALSE.getCode())){
            return;
        }
        // 维修项目
        dataUploadLogic.uploaditftblwxjswxxmjykt();
    }

    @Scheduled(fixedDelayString = "${dataupload}")
    private void uploaditftblwxjsxxyyjykt() throws Exception {
        if (datauploadc.equals(TaskConfigEnum.FALSE.getCode())){
            return;
        }
        // 维修现象
        dataUploadLogic.uploaditftblwxjsxxyyjykt();
    }

    @Scheduled(fixedDelayString = "${dataupload}")
    private void uploaditftblwxjsfjjykt() throws Exception {
        if (datauploadc.equals(TaskConfigEnum.FALSE.getCode())){
            return;
        }
        // 维修附件表
        dataUploadLogic.uploaditftblwxjsfjjykt();
    }

    @Scheduled(fixedDelayString = "${dataupload}")
    private void uploaditftblassignfee() throws Exception {
        if (datauploadc.equals(TaskConfigEnum.FALSE.getCode())){
            return;
        }
        // 维修费用表
        dataUploadLogic.uploaditftblassignfee();
    }

    @Scheduled(fixedDelayString = "${dataupload}")
    private void uploaditftblassignxzyd() throws Exception {
        if (datauploadc.equals(TaskConfigEnum.FALSE.getCode())){
            return;
        }
        // 新增阅读记录维护表
        dataUploadLogic.uploaditftblassignxzyd();
    }

    @Scheduled(fixedDelayString = "${dataupload}")
    private void uploaditftblwxjsjykt() throws Exception {
        if (datauploadc.equals(TaskConfigEnum.FALSE.getCode())){
            return;
        }
        // 维修结算表
        dataUploadLogic.uploaditftblwxjsjykt();
    }

    @Scheduled(fixedDelayString = "${dataupload}")
    private void uploaditftblassign() throws Exception {
        if (datauploadc.equals(TaskConfigEnum.FALSE.getCode())){
            return;
        }
        // 维修单表
        dataUploadLogic.uploaditftblassign();
    }

    @Scheduled(fixedDelayString = "${dataupload}")
    private void uploaditftblassignmx() throws Exception {
        if (datauploadc.equals(TaskConfigEnum.FALSE.getCode())){
            return;
        }
        // 维修单明细
        dataUploadLogic.uploaditftblassignmx();
    }

    @Scheduled(fixedDelayString = "${dataupload}")
    private void uploaditftblassignappointment() throws Exception {
        if (datauploadc.equals(TaskConfigEnum.FALSE.getCode())){
            return;
        }
        // 维修单预约改约信息
        dataUploadLogic.uploaditftblassignappointment();
    }

    @Scheduled(fixedDelayString = "${dataupload}")
    private void uploaditftblassignfkmx() throws Exception {
        if (datauploadc.equals(TaskConfigEnum.FALSE.getCode())){
            return;
        }
        // 维修工单反馈信息
        dataUploadLogic.uploaditftblassignfkmx();
    }

    @Scheduled(fixedDelayString = "${dataupload}")
    private void uploaditftblazassignxzyd() throws Exception {
        if (datauploadc.equals(TaskConfigEnum.FALSE.getCode())){
            return;
        }
        // 新增安装阅读记录维护表
        dataUploadLogic.uploaditftblazassignxzyd();
    }*/
}
